package ch.ethz.se.rpnc.instruct;

import ch.ethz.se.rpnc.instruct.visitor.CalculatorInstructVisitor;

public class CalculatorInstructOperand implements ICalculatorInstruct {
	
	// Value of operand.
	private double value;
	
	/**
	 * Constructor.
	 * @param d Value of operand.
	 */
	public CalculatorInstructOperand(double d){
		setValue(d);
	}

	/* (non-Javadoc)
	 * @see ch.ethz.se.rpnc.instruct.ICalculatorInstruct#accept(ch.ethz.se.rpnc.instruct.visitor.CalculatorInstructVisitor)
	 */
	@Override
	public void accept(CalculatorInstructVisitor v) {
		v.visitOperand(this);
	}

	/* (non-Javadoc)
	 * @see ch.ethz.se.rpnc.instruct.ICalculatorInstruct#getInstructText()
	 */
	@Override
	public String getInstructText() {
		return String.valueOf(value);
	}
	
	/**
	 * Get operand value.
	 * @return
	 */
	public double getValue(){
		return value;
	}
	
	// Set operand value.
	private void setValue(double v){
		value = v;
	}

}
