/**
 * 
 */
package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.node.visitor.Visitor;

/**
 * Operand nodes.
 * @author aleitner
 */
public class Operand implements Node
{
	/**
	 * Operand value
	 */
	private double value;

	/**
	 * @param v Operand value
	 */
	public Operand (double v)
	{
		value = v;
	}
	
	/**
	 * @return Operand value
	 */
	public double getValue()
	{
		return value;
	}

	/* (non-Javadoc)
	 * @see ch.ethz.se.rpnc.Node#getText()
	 */
	public String toString()
	{
		return Double.toString(value);
	}

	/* (non-Javadoc)
	 * @see ch.ethz.se.rpnc.Node#visit(ch.ethz.se.rpnc.Visitor)
	 */
	public void accept(Visitor visitor)
	{
		visitor.visitOperand(this);
	}

}
