package ch.ethz.se.rpnc.node;


/**
 * Abstract base class for operator nodes.
 * @author aleitner
 */
public abstract class Operator implements Node
{
	public enum Precedence {TIMES_AND_DIVIDEBY, PLUS_AND_MINUS}

	/**
	 * Operator text.
	 */
	protected String text;
	
	/**
	 * Create new operator.
	 * @param t Textual representaion of operator to construct.
	 */
	protected Operator (String t)
	{
		text = t;
	}
	
	/* (non-Javadoc)
	 * @see ch.ethz.se.rpnc.Node#getText()
	 */
	public String getText()
	{
		return text;
	}
	
	public void setText(String s)
	{
		text = s;
	}

	public String toString()
	{
		return getText();
	}
	
}
