package ch.ethz.se.rpnc.node.visitor;

import ch.ethz.se.rpnc.node.DivideByOperator;
import ch.ethz.se.rpnc.node.MinusOperator;
import ch.ethz.se.rpnc.node.Operand;
import ch.ethz.se.rpnc.node.PlusOperator;
import ch.ethz.se.rpnc.node.TimesOperator;

/**
 * Print RPN nodes into a string buffer.
 */
public class NodePrinter implements Visitor
{
	/**
	 * Output string buffer.
	 */
	private StringBuffer buffer;

	/**
	 * Construct NodePrinter and store the string buffer.
	 * @param out output StringBuffer
	 */	
	public NodePrinter() {
		buffer = new StringBuffer();
	}
	
	public void reset(){
		buffer.delete(0, buffer.length());
	}
	
	public String getPrintResult(){
		return buffer.toString();
	}
	
	public void visitOperand(Operand o)
	{
		buffer.append(o.getValue());
		buffer.append("\n");
	}

	public void visitPlusOperator(PlusOperator o) throws Exception
	{
		buffer.append(o.getText());
		buffer.append("\n");
	}

	public void visitMinusOperator(MinusOperator o) throws Exception
	{
		buffer.append(o.getText());
		buffer.append("\n");
	}

	public void visitTimesOperator(TimesOperator o) throws Exception
	{
		buffer.append(o.getText());
		buffer.append("\n");
	}

	public void visitDivideByOperator(DivideByOperator o) throws Exception
	{
		buffer.append(o.getText());
		buffer.append("\n");
	}
}
