package ch.ethz.se.rpnc.ui;

import java.util.Observable;

import ch.ethz.se.rpnc.instruct.ICalculatorInstruct;

/**
 * Observable calculator instruct event.
 */
public class CalculatorInstructEvent extends Observable {
	
	// Instruct object passed as event argument. 
	private ICalculatorInstruct instruct;
	
	/**
	 *  Default constructor. 
	 */
	public CalculatorInstructEvent(){
		// instruct takes default value null.
	}
	
	/**
	 * Set instruct object as the event argument. 
	 * @param instruct New instruct object.
	 */
	public void setInstruct(ICalculatorInstruct instruct) {
		this.instruct = instruct;
		this.setChanged();
		this.notifyObservers();
	}

	/**
	 * Get instruct object.
	 * @return Instruct object.
	 */
	public ICalculatorInstruct getInstruct() {
		return instruct;
	}

}
